part of 'pages.dart';

class AvatarPage extends StatefulWidget {
  const AvatarPage({ Key? key }) : super(key: key);
  static const routeName = '/avatar_page';

  @override
  _AvatarPageState createState() => _AvatarPageState();
}

class _AvatarPageState extends State<AvatarPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: LLSColors.PRIMARY,
        leading: InkWell(
          onTap: () {
            Navigator.pop(context);
          },
          child: Icon(
            CupertinoIcons.back,
            color: LLSColors.WHITE,
          ),
        ),
        title: const Text(
          'Avatar',
          style: TextStyle(fontSize: 17),
        ),
        centerTitle: true,
      ),
      body: ListView(
        children: <Widget>[
          const Padding(
            padding: EdgeInsets.only(left: 15, top: 30),
            child: LLSLabel(
              text: 'Circle',
              type: LLSLabelType.typo4,
              dividerWidth: 25,
              dividerColor: LLSColors.SECONDARY,
            ),
          ),
          
          LLSCard(
            color: LLSColors.LIGHT,
            content: Column(
              children: <Widget>[
                const SizedBox(
                  height: 10,
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: <Widget>[
                    LLSAvatar(
                      backgroundImage: AssetImage('assets/images/avatar.png'),
                    ),
                  ],
                ),
                const SizedBox(
                  height: 10,
                ),
              ],
            ),
          ),

          const Padding(
            padding: EdgeInsets.only(left: 15, top: 30),
            child: LLSLabel(
              text: 'Rounded',
              type: LLSLabelType.typo4,
              dividerWidth: 25,
              dividerColor: LLSColors.SECONDARY,
            ),
          ),
          
          LLSCard(
            color: LLSColors.LIGHT,
            content: Column(
              children: <Widget>[
                const SizedBox(
                  height: 10,
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: <Widget>[
                    LLSAvatar(
                      backgroundImage: AssetImage('assets/images/avatar.png'),
                      shape: LLSAvatarShape.rounded,
                    )
                  ],
                ),
                const SizedBox(
                  height: 10,
                ),
              ],
            ),
          ),

          const Padding(
            padding: EdgeInsets.only(left: 15, top: 30),
            child: LLSLabel(
              text: 'Square',
              type: LLSLabelType.typo4,
              dividerWidth: 25,
              dividerColor: LLSColors.SECONDARY,
            ),
          ),
          
          LLSCard(
            color: LLSColors.LIGHT,
            content: Column(
              children: <Widget>[
                const SizedBox(
                  height: 10,
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: <Widget>[
                    LLSAvatar(
                      backgroundImage: AssetImage('assets/images/avatar.png'),
                      shape: LLSAvatarShape.square,
                    )
                  ],
                ),
                const SizedBox(
                  height: 10,
                ),
              ],
            ),
          )
        ],
      ),
    );
  }
}